<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) 2010 - 2012 Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../../../dtd/squash-tm.10.0.0.dtd">

<dataset>
  <CORE_PARTY PARTY_ID="-1"/>
  <CORE_USER LOGIN="admin" CREATED_ON="2014-10-10" CREATED_BY="me" PARTY_ID="-1"/>
  <CORE_GROUP/>
  <CORE_GROUP_AUTHORITY/>
  <CORE_GROUP_MEMBER/>

  <MILESTONE MILESTONE_ID="-1" USER_ID="-1" CREATED_ON="2014-10-10" CREATED_BY="me" M_RANGE="GLOBAL" STATUS="PLANNED" LABEL="My milestone" END_DATE="2014-10-10"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"/>

  <REQUIREMENT_VERSION_LINK_TYPE TYPE_ID="-1" ROLE_1="role1" ROLE_1_CODE="code1" ROLE_2="role2" ROLE_2_CODE="code2" IS_DEFAULT="false"/>
  <REQUIREMENT_VERSION_LINK_TYPE TYPE_ID="-2" ROLE_1="role3" ROLE_1_CODE="code3" ROLE_2="role3" ROLE_2_CODE="code3" IS_DEFAULT="false"/>

  <!-- PROJECT 1 -->
  <REQUIREMENT_LIBRARY RL_ID="-1" ATTACHMENT_LIST_ID="-1"/>
  <TEST_CASE_LIBRARY TCL_ID="-1" ATTACHMENT_LIST_ID="-1"/>

  <PROJECT PROJECT_ID="-1" NAME="Project_1" RL_ID="-1" TCL_ID="-1" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>
  <MILESTONE_BINDING MILESTONE_ID="-1" PROJECT_ID="-1"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-1" CREATED_BY="admin" CREATED_ON="2020-01-01" PROJECT_ID="-1"/>
  <RESOURCE RES_ID="-1" NAME="Folder_1" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>
  <SIMPLE_RESOURCE RES_ID="-1"/>
  <REQUIREMENT_FOLDER RLN_ID="-1" RES_ID="-1"/>
  <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-1" CONTENT_ORDER="0"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-2" CREATED_BY="admin" CREATED_ON="2020-01-01" PROJECT_ID="-1"/>
  <RESOURCE RES_ID="-2" NAME="Requirement_1" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1" DESCRIPTION="a nice description"/>
  <REQUIREMENT_VERSION RES_ID="-2" REFERENCE="REF-001"/>
  <REQUIREMENT RLN_ID="-2" CURRENT_VERSION_ID="-2"/>
  <RLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-2" CONTENT_ORDER="0"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-3" CREATED_BY="admin" CREATED_ON="2020-01-01" PROJECT_ID="-1"/>

  <RESOURCE RES_ID="-3" NAME="Requirement_2_v2" DESCRIPTION="" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_VERSION RES_ID="-3" VERSION_NUMBER="1" REQUIREMENT_STATUS="OBSOLETE"/>

  <RESOURCE RES_ID="-33" NAME="Requirement_2_v1" DESCRIPTION="" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_VERSION RES_ID="-33" VERSION_NUMBER="0"/>

  <REQUIREMENT RLN_ID="-3" CURRENT_VERSION_ID="-3"/>
  <RLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-3" CONTENT_ORDER="1"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-4" CREATED_BY="admin" CREATED_ON="2020-01-01" PROJECT_ID="-1"/>
  <RESOURCE RES_ID="-4" NAME="Requirement_3" DESCRIPTION="" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_VERSION RES_ID="-4"/>
  <REQUIREMENT RLN_ID="-4" CURRENT_VERSION_ID="-4"/>
  <HIGH_LEVEL_REQUIREMENT RLN_ID="-4"/>
  <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-4" CONTENT_ORDER="1"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-5" CREATED_BY="admin" CREATED_ON="2020-01-01" PROJECT_ID="-1"/>
  <RESOURCE RES_ID="-5" NAME="Requirement_4" DESCRIPTION="" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_VERSION RES_ID="-5" VERSION_NUMBER="1"/>
  <REQUIREMENT RLN_ID="-5" CURRENT_VERSION_ID="-5"/>
  <RLN_RELATIONSHIP ANCESTOR_ID="-4" DESCENDANT_ID="-5" CONTENT_ORDER="0"/>

  <RESOURCE RES_ID="-15" NAME="Requirement_4_milestone" DESCRIPTION="" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_VERSION RES_ID="-15" VERSION_NUMBER="0"/>
  <MILESTONE_REQ_VERSION MILESTONE_ID="-1" REQ_VERSION_ID="-15"/>

  <!-- PROJECT 2 -->
  <REQUIREMENT_LIBRARY RL_ID="-2" ATTACHMENT_LIST_ID="-1"/>

  <PROJECT PROJECT_ID="-2" NAME="Project_A" RL_ID="-2" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-6" CREATED_BY="admin" CREATED_ON="2020-01-01" PROJECT_ID="-2"/>
  <RESOURCE RES_ID="-6" NAME="Folder_A" DESCRIPTION="" CREATED_BY="admin" CREATED_ON="2020-01-01" ATTACHMENT_LIST_ID="-1"/>
  <SIMPLE_RESOURCE RES_ID="-6"/>
  <REQUIREMENT_FOLDER RLN_ID="-6" RES_ID="-6"/>
  <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-2" CONTENT_ID="-6" CONTENT_ORDER="0"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-7" CREATED_BY="DBU" CREATED_ON="2010-02-01" PROJECT_ID="-2"/>
  <RESOURCE RES_ID="-7" NAME="Requirement_A" DESCRIPTION="" CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_VERSION RES_ID="-7"/>
  <REQUIREMENT RLN_ID="-7" CURRENT_VERSION_ID="-7"/>
  <HIGH_LEVEL_REQUIREMENT RLN_ID="-7"/>
  <RLN_RELATIONSHIP ANCESTOR_ID="-6" DESCENDANT_ID="-7" CONTENT_ORDER="0"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-8" CREATED_BY="DBU" CREATED_ON="2010-02-01" PROJECT_ID="-2"/>
  <RESOURCE RES_ID="-8" NAME="Requirement_Low-level" DESCRIPTION="" CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_VERSION RES_ID="-8"/>
  <REQUIREMENT RLN_ID="-8" CURRENT_VERSION_ID="-8"/>
  <RLN_RELATIONSHIP ANCESTOR_ID="-6" DESCENDANT_ID="-8" CONTENT_ORDER="1"/>

  <REQUIREMENT_LIBRARY_NODE RLN_ID="-9" CREATED_BY="DBU" CREATED_ON="2010-02-01" PROJECT_ID="-2"/>
  <RESOURCE RES_ID="-9" NAME="Requirement_Low-level-sub-req" DESCRIPTION="" CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-1"/>
  <REQUIREMENT_VERSION RES_ID="-9"/>
  <REQUIREMENT RLN_ID="-9" CURRENT_VERSION_ID="-9"/>
  <RLN_RELATIONSHIP ANCESTOR_ID="-8" DESCENDANT_ID="-9" CONTENT_ORDER="0"/>

  <REQUIREMENT_VERSION_LINK LINK_ID="-1" LINK_TYPE_ID="-1" LINK_DIRECTION="0" REQUIREMENT_VERSION_ID="-2"
                            RELATED_REQUIREMENT_VERSION_ID="-4"/>
  <REQUIREMENT_VERSION_LINK LINK_ID="-2" LINK_TYPE_ID="-1" LINK_DIRECTION="1" REQUIREMENT_VERSION_ID="-4"
                            RELATED_REQUIREMENT_VERSION_ID="-2"/>
  <REQUIREMENT_VERSION_LINK LINK_ID="-3" LINK_TYPE_ID="-2" LINK_DIRECTION="0" REQUIREMENT_VERSION_ID="-5"
                            RELATED_REQUIREMENT_VERSION_ID="-3"/>
  <REQUIREMENT_VERSION_LINK LINK_ID="-4" LINK_TYPE_ID="-2" LINK_DIRECTION="1" REQUIREMENT_VERSION_ID="-3"
                            RELATED_REQUIREMENT_VERSION_ID="-5"/>

  <!-- Custom Fields -->
  <CUSTOM_FIELD CF_ID="-1" FIELD_TYPE="CF" NAME="CUF_TXT" CODE="CUF_TXT" LABEL="CUF_TXT" INPUT_TYPE="PLAIN_TEXT" />
  <CUSTOM_FIELD CF_ID="-2" FIELD_TYPE="RTF" NAME="CUF_RICH" CODE="CUF_RICH" LABEL="CUF_RICH" INPUT_TYPE="RICH_TEXT" />
  <CUSTOM_FIELD CF_ID="-3" FIELD_TYPE="NUM" NAME="CUF_NUM" CODE="CUF_NUM" LABEL="CUF_NUM" INPUT_TYPE="NUMERIC" />
  <CUSTOM_FIELD CF_ID="-4" FIELD_TYPE="CF" NAME="CUF_DATE" CODE="CUF_DATE" LABEL="CUF_DATE" INPUT_TYPE="DATE_PICKER" />
  <CUSTOM_FIELD CF_ID="-5" FIELD_TYPE="CF" NAME="CUF_CHECKBOX" CODE="CUF_CHECKBOX" LABEL="CUF_CHECKBOX" INPUT_TYPE="CHECKBOX" />
  <CUSTOM_FIELD CF_ID="-6" FIELD_TYPE="MSF" NAME="CUF_TAG" CODE="CUF_TAG" LABEL="CUF_TAG" INPUT_TYPE="TAG" />
  <CUSTOM_FIELD CF_ID="-7" FIELD_TYPE="SSF" NAME="CUF_LIST" CODE="CUF_LIST" LABEL="CUF_LIST" INPUT_TYPE="DROPDOWN_LIST" />

  <!-- Custom Field Bindings -->
  <CUSTOM_FIELD_BINDING CFB_ID="-1" CF_ID="-1" BOUND_ENTITY="REQUIREMENT_FOLDER" POSITION="1" BOUND_PROJECT_ID="-1"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-2" CF_ID="-7" BOUND_ENTITY="REQUIREMENT_FOLDER" POSITION="2" BOUND_PROJECT_ID="-1"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-3" CF_ID="-2" BOUND_ENTITY="REQUIREMENT_VERSION" POSITION="1" BOUND_PROJECT_ID="-1"/>

  <CUSTOM_FIELD_BINDING CFB_ID="-4" CF_ID="-3" BOUND_ENTITY="REQUIREMENT_FOLDER" POSITION="1" BOUND_PROJECT_ID="-2"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-5" CF_ID="-6" BOUND_ENTITY="REQUIREMENT_FOLDER" POSITION="2" BOUND_PROJECT_ID="-2"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-6" CF_ID="-4" BOUND_ENTITY="REQUIREMENT_VERSION" POSITION="1" BOUND_PROJECT_ID="-2"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-7" CF_ID="-5" BOUND_ENTITY="REQUIREMENT_VERSION" POSITION="2" BOUND_PROJECT_ID="-2"/>

  <!-- Custom Field Values -->
  <CUSTOM_FIELD_VALUE CFV_ID="-1" BOUND_ENTITY_ID="-1" BOUND_ENTITY_TYPE="REQUIREMENT_FOLDER" CFB_ID="-1" VALUE="Hello" CF_ID="-1"/>
  <CUSTOM_FIELD_VALUE CFV_ID="-2" BOUND_ENTITY_ID="-1" BOUND_ENTITY_TYPE="REQUIREMENT_FOLDER" CFB_ID="-2" VALUE="Hola" CF_ID="-7"/>

  <CUSTOM_FIELD_VALUE CFV_ID="-3" BOUND_ENTITY_ID="-2" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-3" LARGE_VALUE="Ni Hao" CF_ID="-2" FIELD_TYPE="RTF"/>

  <CUSTOM_FIELD_VALUE CFV_ID="-4" BOUND_ENTITY_ID="-3" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-3" LARGE_VALUE="Konnichi Wa" CF_ID="-2" FIELD_TYPE="RTF"/>

  <CUSTOM_FIELD_VALUE CFV_ID="-5" BOUND_ENTITY_ID="-4" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-3" LARGE_VALUE="Annyong Haseyo" CF_ID="-2" FIELD_TYPE="RTF"/>

  <CUSTOM_FIELD_VALUE CFV_ID="-6" BOUND_ENTITY_ID="-5" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-3" LARGE_VALUE="Chao" CF_ID="-2" FIELD_TYPE="RTF"/>

  <CUSTOM_FIELD_VALUE CFV_ID="-7" BOUND_ENTITY_ID="-6" BOUND_ENTITY_TYPE="REQUIREMENT_FOLDER" CFB_ID="-4" VALUE="73110" CF_ID="-3"/>
  <CUSTOM_FIELD_VALUE CFV_ID="-8" BOUND_ENTITY_ID="-6" BOUND_ENTITY_TYPE="REQUIREMENT_FOLDER" CFB_ID="-5" CF_ID="-6" FIELD_TYPE="TAG"/>
  <CUSTOM_FIELD_VALUE_OPTION CFV_ID="-8" LABEL="Hei" POSITION="0"/>
  <CUSTOM_FIELD_VALUE_OPTION CFV_ID="-8" LABEL="Hej" POSITION="1"/>
  <CUSTOM_FIELD_VALUE_OPTION CFV_ID="-8" LABEL="Terve" POSITION="2"/>

  <CUSTOM_FIELD_VALUE CFV_ID="-9" BOUND_ENTITY_ID="-7" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-6" VALUE="2020-01-01" CF_ID="-4"/>
  <CUSTOM_FIELD_VALUE CFV_ID="-10" BOUND_ENTITY_ID="-7" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-7" VALUE="true" CF_ID="-5"/>

  <CUSTOM_FIELD_VALUE CFV_ID="-11" BOUND_ENTITY_ID="-8" BOUND_ENTITY_TYPE="REQUIREMENT_FOLDER" CFB_ID="-4" VALUE="8059074" CF_ID="-3"/>
  <CUSTOM_FIELD_VALUE CFV_ID="-12" BOUND_ENTITY_ID="-8" BOUND_ENTITY_TYPE="REQUIREMENT_FOLDER" CFB_ID="-5" CF_ID="-6" FIELD_TYPE="TAG"/>
  <CUSTOM_FIELD_VALUE_OPTION CFV_ID="-12" LABEL="Szia" POSITION="0"/>
  <CUSTOM_FIELD_VALUE_OPTION CFV_ID="-12" LABEL="Zdravo" POSITION="1"/>
  <CUSTOM_FIELD_VALUE_OPTION CFV_ID="-12" LABEL="Pryvit" POSITION="2"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-111" CREATED_ON="2012-10-05" CREATED_BY="admin" NAME="test case 1" PROJECT_ID="-1"/>
  <TEST_CASE PREREQUISITE="" TCLN_ID="-111" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1" REFERENCE="REF-001"/>
  <TEST_CASE_LIBRARY_CONTENT CONTENT_ID="-111" LIBRARY_ID="-1" CONTENT_ORDER="0"/>

  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-112" CREATED_ON="2012-10-05" CREATED_BY="admin" NAME="test case 2"  PROJECT_ID="-1"/>
  <TEST_CASE PREREQUISITE="" TCLN_ID="-112" IMPORTANCE="HIGH" REFERENCE="TC2" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa2"/>
  <TEST_CASE_LIBRARY_CONTENT CONTENT_ID="-112" LIBRARY_ID="-1" CONTENT_ORDER="1"/>

  <REQUIREMENT_VERSION_COVERAGE VERIFIED_REQ_VERSION_ID="-33" VERIFYING_TEST_CASE_ID="-111"/>
  <REQUIREMENT_VERSION_COVERAGE VERIFIED_REQ_VERSION_ID="-33" VERIFYING_TEST_CASE_ID="-112"/>
</dataset>
